#line 1 "C:/Users/user/Desktop/MICROCONTROLLERS/micro-c-files/SERIAL_TANK.c"
unsigned data = 0 ;
unsigned short *rec;
unsigned char lowbyte, highbyte;


void main() {

 char *text;
 char i;


 INTCON=0;

 TRISE =0;
 TRISD =0;
 TRISB =0;
 ADCON1 = 0x07;


 Lcd8_Config(&PORTE, &PORTD, 2,1,0,7,6, 5, 4, 3, 2, 1, 0);
 LCD8_Cmd(LCD_CURSOR_OFF);
 LCD8_Cmd(LCD_CLEAR);

 text = "SERIAL TANK DEMO";
 LCD8_Out(1,1,text);



 Usart_Init(9600);

 LCD8_Out(2,1,"TURN ON   OUTLET");

 Usart_Write(0x01);
 Usart_Write(0x01);

 delay_ms(3000);

 LCD8_Out(2,1,"TURN OFF  OUTLET");

 Usart_Write(0x01);
 Usart_Write(0x00);

 delay_ms(1000);

 LCD8_Out(2,1,"TURN ON    INLET");

 Usart_Write(0x00);
 Usart_Write(0x01);

 delay_ms(10000);

 LCD8_Out(2,1,"TURN OFF   INLET");

 Usart_Write(0x00);
 Usart_Write(0x00);

 LCD8_Out(2,1,"TURN ON   HEATER");

 Usart_Write(0x02);
 Usart_Write(0x01);

 delay_ms(3000);

 LCD8_Out(2,1,"TURN OFF  HEATER");

 Usart_Write(0x02);
 Usart_Write(0x00);

 LCD8_Out(2,1,"TURN ON   COOLER");

 Usart_Write(0x03);
 Usart_Write(0x01);

 delay_ms(3000);

 LCD8_Out(2,1,"TURN OFF  COOLER");

 Usart_Write(0x03);
 Usart_Write(0x00);

 LCD8_Out(2,1,"TURN ON  STIRRER");

 Usart_Write(0x04);
 Usart_Write(0x01);

 delay_ms(3000);

 Lcd8_Out(2,1,"TURN OFF STIRRER");

 Usart_Write(0x04);
 Usart_Write(0x00);



 Lcd8_Out(2,1,"SEND MAX TEMP AL");

 Usart_Write(0x021);
 data = 151;
 Usart_Write((data >> 8) & 0x00FF);
 Usart_Write( data & 0x00FF );

 delay_ms(3000);

 Lcd8_Out(2,1,"READ MIN TEMP AL");

 Usart_Write(0x31);

 while (!Usart_Data_Ready()) {}
 highbyte = Usart_Read();
 while (!Usart_Data_Ready()) {}
 lowbyte = Usart_Read();

 data = highbyte;
 data = (data <<8) | lowbyte;

 wordToStr(data, text);

 Lcd8_Out(2,1, text);
 Lcd8_Out(2,6, "               ");


 while(1);


}
