unsigned  data = 0 ;
unsigned short *rec;
unsigned char lowbyte, highbyte;


void main() {

  char *text;
  char i;


  INTCON=0;

  TRISE =0;
  TRISD =0;
  TRISB =0;
  ADCON1 = 0x07;


  Lcd8_Config(&PORTE, &PORTD, 2,1,0,7,6, 5, 4, 3, 2, 1, 0); // Lcd_Init_EP5, see Autocomplete
  LCD8_Cmd(LCD_CURSOR_OFF);                 // send command to LCD (cursor off)
  LCD8_Cmd(LCD_CLEAR);                      // send command  to LCD (clear LCD)

  text = "SERIAL TANK DEMO";                       // assign text to string
  LCD8_Out(1,1,text);                       // print string a on LCD, 1st row, 1st column



  Usart_Init(9600);
  
  LCD8_Out(2,1,"TURN ON   OUTLET");
    
  Usart_Write(0x01);          // SPECIFY  OUTLET VALVE
  Usart_Write(0x01);          // TURN ON OUTLET VALVE
    
  delay_ms(3000);
    
  LCD8_Out(2,1,"TURN OFF  OUTLET");

  Usart_Write(0x01);          // SPECIFY  OUTLET VALVE
  Usart_Write(0x00);          // TURN OFF OUTLET VALVE
    
    delay_ms(1000);
    
    LCD8_Out(2,1,"TURN ON    INLET");

    Usart_Write(0x00);          // SPECIFY  INLET VALVE
    Usart_Write(0x01);          // TURN ON  INLET VALVE

    delay_ms(10000);

    LCD8_Out(2,1,"TURN OFF   INLET");

    Usart_Write(0x00);          // SPECIFY  INLET VALVE
    Usart_Write(0x00);          // TURN OFF INLET VALVE
    
    LCD8_Out(2,1,"TURN ON   HEATER");

    Usart_Write(0x02);          // SPECIFY  INLET VALVE
    Usart_Write(0x01);          // TURN ON  INLET VALVE

    delay_ms(3000);

    LCD8_Out(2,1,"TURN OFF  HEATER");

    Usart_Write(0x02);          // SPECIFY  INLET VALVE
    Usart_Write(0x00);          // TURN OFF INLET VALVE
    
    LCD8_Out(2,1,"TURN ON   COOLER");

    Usart_Write(0x03);          // SPECIFY  INLET VALVE
    Usart_Write(0x01);          // TURN ON  INLET VALVE

    delay_ms(3000);

    LCD8_Out(2,1,"TURN OFF  COOLER");

    Usart_Write(0x03);          // SPECIFY  INLET VALVE
    Usart_Write(0x00);          // TURN OFF INLET VALVE
    
    LCD8_Out(2,1,"TURN ON  STIRRER");

    Usart_Write(0x04);          // SPECIFY  INLET VALVE
    Usart_Write(0x01);          // TURN ON  INLET VALVE

    delay_ms(3000);

    Lcd8_Out(2,1,"TURN OFF STIRRER");

    Usart_Write(0x04);          // SPECIFY  INLET VALVE
    Usart_Write(0x00);          // TURN OFF INLET VALVE
    
    
    
    Lcd8_Out(2,1,"SEND MAX TEMP AL");

    Usart_Write(0x021);          // SPECIFY   MAX TEMP ALARM
    data = 151;
    Usart_Write((data >> 8) & 0x00FF);      // SEND HIGH BYTE
    Usart_Write( data & 0x00FF );           // SEND LOW BYTE

    delay_ms(3000);

    Lcd8_Out(2,1,"READ MIN TEMP AL");

    Usart_Write(0x31);                // SPECIFY  TANK TEMP

    while (!Usart_Data_Ready()) {}     // wait for data
    highbyte = Usart_Read();          // READ HIGH BYTE
    while (!Usart_Data_Ready()) {}     // wait for data
    lowbyte  = Usart_Read();          // READ LOW BYTE

    data = highbyte;
    data = (data <<8) | lowbyte;

    wordToStr(data, text);
    
    Lcd8_Out(2,1, text);
    Lcd8_Out(2,6, "               ");

    
    while(1);


}//~!